LZDoom 3.84 released

News about ZDoom, its child ports, or any closely related projects.
[ZDoom Home] [Documentation (Wiki)] [Official News] [Downloads] [Discord]
[🔎 Google This Site]

[Tap Here for Mobile-Friendly Forums]

Moderator: GZDoom Developers

Re: LZDoom 3.84 released

Postby jets » Mon Dec 16, 2019 11:06 am

Graf Zahl wrote:1) The last 4.1 release


4.1.3 exactly^^
jets
 
Joined: 19 Jun 2013

Re: LZDoom 3.84 released

Postby Graf Zahl » Thu Dec 19, 2019 12:34 pm

The download link still points to the old version, which is clearly evident just looking at the download numbers.
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
 
Joined: 19 Jul 2003
Location: Germany

Re: LZDoom 3.84 released

Postby drfrag » Thu Dec 19, 2019 12:41 pm

Which link? In the download page?
User avatar
drfrag
Os voy a romper a pedazos!
Vintage GZDoom Developer
 
Joined: 23 Apr 2004
Location: Spain
Discord: drfrag#3555
Github ID: drfrag666

Re: LZDoom 3.84 released

Postby Graf Zahl » Thu Dec 19, 2019 1:04 pm

Yes, it still points to 3.83a.
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
 
Joined: 19 Jul 2003
Location: Germany

Re: LZDoom 3.84 released

Postby m8f » Fri Dec 20, 2019 8:21 am

The link on the main forum page says and leads to 3.83a, too:

Errors? Can't run that new mod? Your GZDoom or ZDoom may be too old!
If you get startup errors - always double check to make sure you're running the latest version! (Currently: 4.2.4/3.83a)
User avatar
m8f
dreamer
 
 
 
Joined: 29 Dec 2017
Location: Siberia (UTC+7)
Discord: m8f#0629
Github ID: mmaulwurff
Operating System: Debian-like Linux (Debian, Ubuntu, Kali, Mint, etc) 64-bit

Re: LZDoom 3.84 released

Postby drfrag » Fri Dec 20, 2019 8:41 am

I'm still mostly offline but like the old and obsolete terminator i say i'll be back.
User avatar
drfrag
Os voy a romper a pedazos!
Vintage GZDoom Developer
 
Joined: 23 Apr 2004
Location: Spain
Discord: drfrag#3555
Github ID: drfrag666

Re: LZDoom 3.84 released

Postby Rachael » Fri Dec 20, 2019 10:36 am

m8f wrote:The link on the main forum page says and leads to 3.83a, too:

Errors? Can't run that new mod? Your GZDoom or ZDoom may be too old!
If you get startup errors - always double check to make sure you're running the latest version! (Currently: 4.2.4/3.83a)

Oh, whoops, that's my thing.

Fixed.
User avatar
Rachael
Webmaster
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Operating System: Windows 10/8.1/8/201x 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: nVidia with Vulkan support

Re: LZDoom 3.84 released

Postby drfrag » Sat Dec 21, 2019 6:03 am

I've managed to update the download page but it's not nice without an internet connection at home.
User avatar
drfrag
Os voy a romper a pedazos!
Vintage GZDoom Developer
 
Joined: 23 Apr 2004
Location: Spain
Discord: drfrag#3555
Github ID: drfrag666

Re: LZDoom 3.84 released

Postby vanfanel » Mon Dec 30, 2019 10:15 am

Is this LZDoom version supposed to work on GNU/Linux with SDL2 using GLES2 instead of desktop OpenGL?

I tried it after setting renderer to 1 on the ini file, and I got a fast-repeating error about OpenGL functions not being loaded. But maybe I should try other settings?
vanfanel
 
Joined: 25 Mar 2016

Re: LZDoom 3.84 released

Postby Graf Zahl » Mon Dec 30, 2019 10:27 am

No, it cannot target GLES2.
AFAIK GLES 3.1 is possible but "Legacy" here means real OpenGL 2.0.
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
 
Joined: 19 Jul 2003
Location: Germany

Re: LZDoom 3.84 released

Postby vanfanel » Tue Dec 31, 2019 2:33 am

Graf Zahl wrote:No, it cannot target GLES2.
AFAIK GLES 3.1 is possible but "Legacy" here means real OpenGL 2.0.


Hmm... But I dont get it. By using a software renderer, the engine itself does not depend on OpenGL. Then, let SDL2 scale using whatever SDL2 renderer it runs on, be it OpenGL or GLES2.
vanfanel
 
Joined: 25 Mar 2016

Re: LZDoom 3.84 released

Postby Graf Zahl » Tue Dec 31, 2019 2:42 am

The backend in 4.2.x requires OpenGL 3.3. This will change with the next release.
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
 
Joined: 19 Jul 2003
Location: Germany

Re: LZDoom 3.84 released

Postby vanfanel » Tue Dec 31, 2019 10:48 am

Graf Zahl wrote:The backend in 4.2.x requires OpenGL 3.3. This will change with the next release.


Do you mean "vanilla" GZDoom 4.2.x? Will it support GLES2 again with the software renderer? :3:
vanfanel
 
Joined: 25 Mar 2016

Re: LZDoom 3.84 released

Postby Rachael » Tue Dec 31, 2019 2:22 pm

Yes.
User avatar
Rachael
Webmaster
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Operating System: Windows 10/8.1/8/201x 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: nVidia with Vulkan support

Re: LZDoom 3.84 released

Postby vanfanel » Mon Jan 13, 2020 3:57 pm

Rachael wrote:Yes.


Whoa!!! I will be waiting for this :)
vanfanel
 
Joined: 25 Mar 2016

PreviousNext

Return to ZDoom (and related) News

Who is online

Users browsing this forum: No registered users and 0 guests